import { Exchange } from "./exchange";
import { Coin } from "./orders";
export interface AccountInfo {
    funds: {
        [coint: string]: Coin;
    };
    rights: Rights;
    transactionCount: number;
    openOrders: number;
    serverTime: number;
}
export interface Rights {
    info: number;
    trade: number;
}
export interface AccountVolume {
    tradingVolume: number;
    tradesCount: number;
    currency: string;
}
export interface Fees {
    progressiveCommissions: ProgressiveCommissions;
}
export interface ProgressiveCommissions {
    commissions: Commission[];
    indexOfCurrentCommission: number;
    currency: string;
}
export interface Commission {
    tradingVolume: number;
    takerCommission: number;
    makerCommission: number;
}
export declare class ExchangeClient extends Exchange {
    accountInformation(): Promise<AccountInfo>;
    tradingVolume(): Promise<AccountVolume>;
    tradingFees(): Promise<Fees>;
}
