"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const market_1 = require("./market");
const exchange_1 = require("./exchange");
const history_1 = require("./history");
const orders_1 = require("./orders");
const client_1 = require("./client");
const deposit_1 = require("./deposit");
class DsxExchange extends exchange_1.Exchange {
    constructor(cfg) {
        super(cfg);
        this.verbose = false;
        this.demo = false;
        if (cfg) {
            this.apiKey = cfg.apiKey;
            this.secretKey = cfg.secretKey;
            this.verbose = cfg.verbose;
            this.demo = cfg.demo;
        }
    }
}
exports.DsxExchange = DsxExchange;
applyMixins(DsxExchange, [
    market_1.ExchangeMarket,
    history_1.ExchangeHistory,
    orders_1.ExchangeOrder,
    client_1.ExchangeClient,
    deposit_1.ExchangeDeposit
]);
function applyMixins(derivedCtor, baseCtors) {
    baseCtors.forEach(baseCtor => {
        Object.getOwnPropertyNames(baseCtor.prototype).forEach(name => {
            derivedCtor.prototype[name] = baseCtor.prototype[name];
        });
    });
}
